% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/generics.R, R/functions.R
\docType{methods}
\name{from_json}
\alias{from_json}
\alias{from_json}
\alias{from_json,Column,structType-method}
\title{from_json}
\usage{
from_json(x, schema, ...)

\S4method{from_json}{Column,structType}(x, schema, as.json.array = FALSE, ...)
}
\arguments{
\item{x}{Column containing the JSON string.}

\item{schema}{a structType object to use as the schema to use when parsing the JSON string.}

\item{...}{additional named properties to control how the json is parsed, accepts the same
options as the JSON data source.}

\item{as.json.array}{indicating if input string is JSON array of objects or a single object.}
}
\description{
Parses a column containing a JSON string into a Column of \code{structType} with the specified
\code{schema} or array of \code{structType} if \code{as.json.array} is set to \code{TRUE}.
If the string is unparseable, the Column will contains the value NA.
}
\note{
from_json since 2.2.0
}
\examples{
\dontrun{
schema <- structType(structField("name", "string"),
select(df, from_json(df$value, schema, dateFormat = "dd/MM/yyyy"))
}
}
\seealso{
Other normal_funcs: \code{\link{abs}},
  \code{\link{bitwiseNOT}}, \code{\link{coalesce}},
  \code{\link{column}}, \code{\link{expr}},
  \code{\link{greatest}}, \code{\link{ifelse}},
  \code{\link{isnan}}, \code{\link{least}},
  \code{\link{lit}}, \code{\link{nanvl}},
  \code{\link{negate}}, \code{\link{randn}},
  \code{\link{rand}}, \code{\link{struct}},
  \code{\link{to_json}}, \code{\link{when}}
}
